Kodi Community Forum
[RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Printable Version

+- Kodi Community Forum (http://forum.kodi.tv)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Add-ons Help and Support (/forumdisplay.php?fid=27)
+---- Forum: Video Add-ons (/forumdisplay.php?fid=154)
+---- Thread: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC (/showthread.php?tid=79487)



RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - craziplaya21 - 2012-07-03 14:48

Playback of Adult flagged videos seems to be broken. Getting a "Playback Failed: False" error message
http://pastebin.com/4VJY5ua1


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Vultures - 2012-07-04 15:14

I am getting "Login failed Unknown Error" since yesterday. Is it local or...?
Thanks!


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Guyver111 - 2012-07-05 00:57

Hi,

is anyone else having trouble with "My history"?
I have two problems:

1. Clips i watched multiple times, on the Youtube website, appear multiple times under "My History" in the plugin, while in the youtube website history the clips only appear once.

2. When i try to see the next page in "My History" i get a "Error - Script failed!: plugin.video.youtube"

The xbmc.log shows the following:
Code:
00:28:08 T:140453215205120   ERROR: Error Type: <type 'exceptions.IndexError'>
00:28:08 T:140453215205120   ERROR: Error Contents: list index out of range
00:28:08 T:140453215205120   ERROR: Traceback (most recent call last):
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/default.py", line 108, in <module>
                                                navigation.listMenu(params)
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/YouTubeNavigation.py", line 108, in listMenu
                                                return self.list(params)
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/YouTubeNavigation.py", line 191, in list
                                                (results, status) = self.feeds.list(params)
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/YouTubeFeeds.py", line 157, in list
                                                videos = self.core.getVideoInfo(result["content"], params)
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/YouTubeCore.py", line 911, in getVideoInfo
                                                if self.videoIsUnavailable(node):
                                              File "/var/lib/vdr/.xbmc/addons/plugin.video.youtube/YouTubeCore.py", line 783, in videoIsUnavailable
                                                if reason[0] == "private":
                                            IndexError: list index out of range
00:28:08 T:140454591866752   ERROR: GetDirectory - Error getting plugin://plugin.video.youtube/?path=/root/history&user_feed=watch_history&login=true&page=1&
00:28:08 T:140454591866752   ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.youtube/?path=/root/history&user_feed=watch_history&login=true&page=1&) failed


Anyone know how i can remove those two problems ?


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - bigbodiehard - 2012-07-08 02:27

The playback works when I change the setting max video quality to ask but if I set it to 480 or 720p it don't work.


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - versus - 2012-07-08 11:03

This question has been asked one year ago

1. skip forward/backward while watching the videos it takes a long time to do it and often it stops forever. Skipping with Youtube's flash player in their website it is very fast, you can arbitrarily skip to any time within the video and it does it almost instantly. So I feel that this should be possible to make it work the same way with the plugin.

Your answer was:

This is still a bug with xbmc's player core and affects all video plugins and playback of webstreams in general. Theres not really anything we can do about it, I suggest you create a trac ticket about it so that Team XBMC can fix it.

I can not remember any other plugin playing webstreams other than youtube plugin that has problems with time skipping. Must be something other than xbmc player. Navi-x youtube plugin doesn't have this problem. Could you look into this issue as it is really annoying no being able to continue interrupted playback other than starting from scratch. Thank you.

EDIT: Ok, I see that there are more players within xbmc. Plugins that use Dvdplayer have no skipping problem. Some plugins let's you choose player. Are you using mplayer? Can dvdplayer be used with youtube plugin? Could you add this choice?


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - NobodyHere - 2012-07-09 18:11

Hi. I'm running the stable 11.0 Eden on Windows 7, and there isn't any option to install the Youtube plugin. Was the non-beta version pulled?

Edit;
Nevermind. I just downloaded the SVN version, compressed it, and installed via zip.

svn checkout http://youtubexbmc.googlecode.com/svn/trunk/ youtubexbmc-read-only

Seems to be working in Eden stable, for now...


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - handonam - 2012-07-10 07:25

I can't seem to load up youtube. It gets stuck at 90%. It also tries to do a search about 2 seconds after i even try to type into search.


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - jesterod - 2012-07-10 16:36

on the firefox username and pw is it the xbmc one or the youtube one?
i cant get this to work im on xbmc 12.0-alpha3 its a OpenELEC version on the pi


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - KingsCross - 2012-07-10 23:20

Openelec still thinks 2.1.4 is the latest for me.


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Tourrorist - 2012-07-10 23:51

There is no Updatet version on Dharma or OpenElec Stable. How can i update it?


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - jesterod - 2012-07-11 03:10

my youtube on openelec is version 3.0.0....


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - Carborundum - 2012-07-11 13:58

Does the Youtube plugin support accounts with 2-step verification activated? I am unable to login to my account using an application specific password. Plugin version 3.0.0.


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - HenrikDK - 2012-07-11 21:28

(2012-07-11 13:58)Carborundum Wrote:  Does the Youtube plugin support accounts with 2-step verification activated? I am unable to login to my account using an application specific password. Plugin version 3.0.0.

Plugin needs http access for scraper functions so applications specific passwords are out, but it does support the additional token.
(2012-07-08 11:03)versus Wrote:  This question has been asked one year ago

1. skip forward/backward while watching the videos it takes a long time to do it and often it stops forever. Skipping with Youtube's flash player in their website it is very fast, you can arbitrarily skip to any time within the video and it does it almost instantly. So I feel that this should be possible to make it work the same way with the plugin.

Your answer was:

This is still a bug with xbmc's player core and affects all video plugins and playback of webstreams in general. Theres not really anything we can do about it, I suggest you create a trac ticket about it so that Team XBMC can fix it.

I can not remember any other plugin playing webstreams other than youtube plugin that has problems with time skipping. Must be something other than xbmc player. Navi-x youtube plugin doesn't have this problem. Could you look into this issue as it is really annoying no being able to continue interrupted playback other than starting from scratch. Thank you.

EDIT: Ok, I see that there are more players within xbmc. Plugins that use Dvdplayer have no skipping problem. Some plugins let's you choose player. Are you using mplayer? Can dvdplayer be used with youtube plugin? Could you add this choice?

Hi, Let me expand on this, we don't decide what player gets to play the video, we just resolve the url, (ie, video id = video url) the rest is entirely handles by xbmc. Apparently youtube has decided to use a different caching strategy than most video sites and this is causing problems with xbmc's player core.


(2012-07-03 14:48)craziplaya21 Wrote:  Playback of Adult flagged videos seems to be broken. Getting a "Playback Failed: False" error message
http://pastebin.com/4VJY5ua1

Hi, we no longer support performing the age verification check since that scraper code was very unstable and increasingly hard to test. Also accoring to our own latest tests once you'd verified you won't be asked again making this only an issue on the first try.


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - HenrikDK - 2012-07-11 21:41

(2012-07-05 00:57)Guyver111 Wrote:  1. Clips i watched multiple times, on the Youtube website, appear multiple times under "My History" in the plugin, while in the youtube website history the clips only appear once.

2. When i try to see the next page in "My History" i get a "Error - Script failed!: plugin.video.youtube"

Anyone know how i can remove those two problems ?

Hi,

1. We only list the history feed from the API, this might be different from the website, i believe the website is limited to 100 items while the api is not, so that might explain why youtube choose to only display each video 1 time.

2. Hi this is an error in our code, it shouldn't happen too often, but apparently you encountered it. I have a fix in our Mercurial repository that will be included in the next version (will probably be released at the end of this month).

If thats not fast enough for you, you can include this piece of code just before the offending line in YoutubeCore
Code:
if not reason:
        return result


(2012-07-08 02:27)bigbodiehard Wrote:  The playback works when I change the setting max video quality to ask but if I set it to 480 or 720p it don't work.

This is very wierd, are you sure your installation is working right im seeing alot of basic python failures in your log. Things like:

Code:
20:59:42 T:7004 WARNING: XFILE::CFactoryDirectory::Create - Unsupported protocol(script) in script://

and
Code:
21:05:46 T:6508   ERROR: Exception in thread Thread-10:
Traceback (most recent call last):
File "D:\Temp\XBMC\system\python\Lib\threading.py", line 532, in __bootstrap_inner
  self.run()
File "D:\Temp\XBMC\portable_data\addons\service.watchdog\watchdog\observers\api.py", line 193, in run
  self.on_thread_exit()
File "D:\Temp\XBMC\portable_data\addons\service.watchdog\watchdog\observers\read_direc​tory_changes.py", line 68, in on_thread_exit
  close_directory_handle(self._directory_handle)
File "D:\Temp\XBMC\portable_data\addons\service.watchdog\watchdog\observers\winapi_com​mon.py", line 109, in close_directory_handle
  CancelIoEx(handle, None) #force ReadDirectoryChangesW to return
File "D:\Temp\XBMC\portable_data\addons\service.watchdog\watchdog\observers\winapi.py​", line 106, in _errcheck_bool
   raise ctypes.WinError()
WindowsError: [Error 1168] Element not found.

Funny thing is the plugin does resolve the video url, but xbmc fails to fetch any data from it:
Code:
21:01:07 T:3652  NOTICE: Creating InputStream
21:01:33 T:3652 WARNING: XFILE::CFileCurl::CReadState::FillBuffer: curl failed with code 28
21:01:33 T:3652   ERROR: CFileCurl::CReadState::Open, didn't get any data from stream.
21:01:33 T:3652   ERROR: XFILE::CFileCache::Open - failed to open source <http://o-o.preferred.ams03g06.v16.lscache4.c.youtube.com/videoplayback?upn=nJp5qQR7yTU&sparams=algorithm,burst,cp,factor,id,ip,ipbits,itag,source,upn,expire&fexp=907605,906358,919303,906510,907217,907335,921602,919306,922600,919316,9​20704,924500,924700,913542,919324,920706,907344,912706,902518&mt=1341259039&ms=au&algorithm=throttle-factor&itag=35&ip=86.0.0.0&burst=40&sver=3&signature=A9317232DFD9013101797625F6FA69E79FB43333.19C8545256A86518B2BBD427D​FA0F23D3C58DA33&source=youtube&expire=1341285668&key=yt1&ipbits=8&factor=1.25&cp=U0hTRlJTU19LUkNOM19KTVdHOjJpSmN6TkFwZkJn&id=87da453ce23c79cc&quality=large&fallback_host=tc.v16.cache4.c.youtube.com | Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8>

I've tested the plugins playback with both 480p and 720p set, and I'm seeing no issues (these are also covered by automated test so im pretty sure they work). It would seem that its either network related, or something is wrong with your version of xbmc


RE: [RELEASE] YouTube (Video) Plugin - De facto default standard YouTube Addon for XBMC - HenrikDK - 2012-07-11 21:56

(2012-07-09 18:11)NobodyHere Wrote:  Hi. I'm running the stable 11.0 Eden on Windows 7, and there isn't any option to install the Youtube plugin. Was the non-beta version pulled?

Edit;
Nevermind. I just downloaded the SVN version, compressed it, and installed via zip.

svn checkout http://youtubexbmc.googlecode.com/svn/trunk/ youtubexbmc-read-only

Seems to be working in Eden stable, for now...

Hi, no the non beta version is still in the official repo, but we've had alot of xbmc users that where on the beta who didnt get their repo urls updated when eden wen't stable.

The version you found in SVN is very old, I'm surprised it even works.. We've switched to mercurial along time ago so you can get it here:

http://hg.tobiasussing.dk/hgweb.cgi/youtubexbmc/

but it would just be easier to do a reinstall of you stable eden (try removing your profile if that doesn't work.)
(2012-07-10 23:51)Tourrorist Wrote:  There is no Updatet version on Dharma or OpenElec Stable. How can i update it?

No updates for Dharma, the api's have changed too much for it to be feasible to backport changes, basically if you want the latest plugin update to Eden..